## therion 0.5.1

=== Makefile ===
# common therion objects
CMNOBJECTS = thdate.o extern/shpopen.o extern/dbfopen.o \
  thexception.o thbuffer.o thmbuffer.o thlogfile.o thtmpdir.o thlocale.o \
  thparse.o thcmdline.o thconfig.o thinput.o thchenc.o thdatabase.o \
  thdataobject.o thdatareader.o thsurvey.o thendsurvey.o thdata.o \
  thperson.o thtf.o thtfangle.o thtflength.o thtfpwf.o \
  thdataleg.o thobjectname.o thinfnan.o thlayout.o \
  thinit.o thdb1d.o thsvxctrl.o thdatastation.o thobjectid.o \
  thobjectsrc.o thgrade.o thlibrary.o thgeomag.o thbezier.o \
  thexport.o thexporter.o thselector.o extern/img.o \
  thexpmodel.o thdb2d00.o thscrapis.o thcsdata.o thexptable.o \
  thdb2d.o thscrap.o thendscrap.o th2ddataobject.o thdb2dprj.o \
  thdb2dpt.o thdb2dlp.o thdb2dab.o thdb2dji.o thdb2dmi.o thdb2dcp.o \
  thdb2dxm.o thdb2dxs.o thscraplo.o thscraplp.o thscrapen.o \
  thpoint.o thline.o tharea.o thlegenddata.o thmpost.o thsymbolsets.o \
  thjoin.o thmap.o thexpmap.o thlayoutln.o thexpsys.o thexpuni.o \
  thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
  thsymbolset.o thlang.o thmapstat.o thexpdb.o thpic.o thsketch.o thproj.o \
  extern/lxMath.o extern/lxFile.o thcdt.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
  thtrans.o thwarpp.o thwarppt.o thwarppme.o thwarp.o thexpshp.o thattr.o \
  therion.o extern/proj4/libproj.a 

# PLATFORM CONFIG

# PLATFORM LINUX
##CXX = g++
##CC = gcc
##POBJECTS =
##LOCHEXE = loch/loch
##CXXPFLAGS = -DTHLINUX
##CCPFLAGS = -DTHLINUX
##LDPFLAGS = -s
##THPLATFORM = LINUX
##THXTHMKCMD = ./therion


# PLATFORM DEBIAN
CXX = c++
CC = gcc
POBJECTS =
LOCHEXE = loch/loch
CXXPFLAGS = -DTHLINUX
CCPFLAGS = -DTHLINUX
LDPFLAGS = -s
THPLATFORM = LINUX
THXTHMKCMD = ./therion


# PLATFORM WIN32
##CXX = c++
##CC = gcc
##POBJECTS = extern/getopt.o extern/getopt1.o therion.res extern/getline.o 
##LOCHEXE = loch/loch
##CXXPFLAGS = -DTHWIN32
##CCPFLAGS = -DTHWIN32
##LDPFLAGS = -s
##THPLATFORM = WIN32
##THXTHMKCMD = therion

# PLATFORM MACOSX
##CXX = c++
##CC = cc
##LOCHEXE =
##POBJECTS = extern/getopt.o extern/getopt1.o extern/getline.o
##CXXPFLAGS = -DTHMACOSX
##CCPFLAGS = -DTHMACOSX
##LDPFLAGS =
##THPLATFORM = MACOSX
##THXTHMKCMD = ./therion

# PLATFORM ENDCONFIG


# BUILD CONFIG

# BUILD OZONE
##CCBFLAGS = -O3
##CXXBFLAGS = -O3
##LDBFLAGS = $(LDPFLAGS)

# BUILD OXYGEN
CCBFLAGS = -O2
CXXBFLAGS = -O2
LDBFLAGS = $(LDPFLAGS)

# BUILD RELEASE
##CCBFLAGS = 
##CXXBFLAGS = 
##LDBFLAGS = $(LDPFLAGS)

# BUILD DEBUG
##CCBFLAGS = -ggdb
##CXXBFLAGS = -ggdb -DTHDEBUG
##LDBFLAGS = 

# BUILD ENDCONFIG


# compiler settings
CXXFLAGS = -Wall $(CXXPFLAGS) $(CXXBFLAGS)
CCFLAGS = -Wall $(CCPFLAGS) $(CCBFLAGS)
OBJECTS = $(POBJECTS) $(CMNOBJECTS)


# linker settings
LIBS = 
LDFLAGS = $(LDBFLAGS)


.SUFFIXES:
.SUFFIXES: .cxx .o .h .c

.cxx.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CCFLAGS) -o $@ $<

all: therion doc xtherion/xtherion $(LOCHEXE)

extern/proj4/libproj.a: extern/proj4/*.c extern/proj4/*.h
	make -C ./extern/proj4

therion:	$(OBJECTS)
	$(CXX) -Wall -o therion $(OBJECTS) $(LDFLAGS) $(LIBS) 


therion.res: therion.rc
	windres -i therion.rc -I rc -o therion.res -O coff

init:
	./therion --print-init-file > therion.ini

install: all
	perl makeinstall.pl $(THPLATFORM)


release:
	perl makerelease.pl

archive: clean
	perl makearchive.pl

release-archive: clean
	perl makearchive2.pl

binary: all doc
	perl makebinary.pl $(THPLATFORM)
  
depend:
	perl makedepend.pl > Makefile.dep
	perl maketest.pl Makefile.dep
	perl makefile.pl mv Makefile.dep Makefile
	$(CXX) -MM $(CXXFLAGS) *.cxx >> Makefile

library:
	$(THXTHMKCMD) --print-library-src thlibrarydata.thcfg > thlibrarydata.log
	$(THXTHMKCMD) --print-xtherion-src > xtherion/therion.tcl
	perl makelibrary.pl thlibrarydata.log > thlibrarydata.tmp
	perl maketest.pl thlibrarydata.tmp
	perl makefile.pl mv thlibrarydata.tmp thlibrarydata.cxx


xtherion/xtherion: xtherion/*.tcl
	make -C ./xtherion

loch/loch: loch/*.h loch/*.cxx loch/*.c
	make -C ./loch

doc: thbook/thbook.pdf

thbook/thbook.pdf: thbook/*.tex
	make -C ./thbook
  
clean:
	make -C ./xtherion clean
	make -C ./loch clean
	make -C ./samples clean
	make -C ./extern/proj4 clean
	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~
	perl makefile.pl rm -q xtherion/*~ .xth_thconfig_xth xtherion/screendump thlang/*~
	perl makefile.pl rm -q extern/*.o extern/*~ samples/*~ samples/*.log
	perl makefile.pl rm -q symbols.html therion.res
	perl makefile.pl rm -q tri/*.o tri/*~
	perl makefile.pl rm -q tex/*~
	perl makefile.pl rm -q mpost/*~ examples/*~ examples/therion.log
	perl makefile.pl rm -q core symbols.xhtml cave.kml
	perl makefile.pl rm -q data.3d data.svx data.pos data.pts data.err data.plt
	perl makefile.pl rm -q cave.3d cave.thm cave.pdf cave.sql cave.xhtml therion.tcl cave_a.pdf cave_m.pdf cave.vrml cave.wrl cave.3dmf cave.svg cave.tlx
	perl makefile.pl rm -q ./thbook/*~ ./thbook/thbook.log ./thbook/thbook.pdf ./lib/*~ ./mpost/*~ ./tex/*~
	perl makefile.pl rmdir -q doc thTMPDIR samples.doc symbols cave.shp tests/.doc

thmpost.h: mpost/*.mp
	make -C ./mpost

thsymbolsetlist.h: thsymbolsetlist.pl mpost/thTrans.mp
	perl thsymbolsetlist.pl
  
thtex.h: tex/*.tex
	make -C ./tex

thcsdata.h: thcsdata.tcl
	tclsh thcsdata.tcl
  
update:
	make -C ./thlang update

unixify: clean
	tclsh makeunixify.tcl
  
thlangdata.cxx: thlang/texts.txt
	make -C ./thlang

config-debug:
	perl makeconfig.pl BUILD DEBUG
	make -C ./loch config-debug
  
config-release:
	perl makeconfig.pl BUILD RELEASE
	make -C ./loch config-release

config-oxygen:
	perl makeconfig.pl BUILD OXYGEN
	make -C ./loch config-oxygen
  
config-ozone:
	perl makeconfig.pl BUILD OZONE
	make -C ./loch config-ozone

config-debian:
	perl makeconfig.pl PLATFORM DEBIAN
	make -C ./loch config-debian
  
config-linux:
	perl makeconfig.pl PLATFORM LINUX
	make -C ./loch config-linux
  
config-win32:
	perl makeconfig.pl PLATFORM WIN32
	make -C ./loch config-win32
  
config-macosx:
	perl makeconfig.pl PLATFORM MACOSX
	make -C ./loch config-macosx

# external sources
extern/getopt.o: extern/getopt.c extern/getopt.h
extern/getopt1.o: extern/getopt1.c
extern/img.o: extern/img.c extern/img.h
tri/construct.o: tri/triangulate.h tri/construct.c
tri/misc.o: tri/triangulate.h tri/misc.c
tri/monotone.o: tri/triangulate.h tri/monotone.c
tri/tri.o: tri/triangulate.h tri/tri.c

# DEPENDENCIES
th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thattr.h thchenc.h thchencdata.h thexception.h thsymbolset.h \
  thsymbolsetlist.h
tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thattr.h thchenc.h thchencdata.h thexception.h thexpmap.h thexport.h \
  thsymbolset.h thsymbolsetlist.h thlayout.h thlocale.h thlang.h \
  thlangdata.h thline.h
thattr.o: thattr.cxx thattr.h thmbuffer.h thchenc.h thchencdata.h \
  thparse.h thbuffer.h extern/shapefil.h thexception.h therion.h
thbezier.o: thbezier.cxx thbezier.h
thbuffer.o: thbuffer.cxx thbuffer.h
thcdt.o: thcdt.cxx thcdt.h thcdt/geom2d.h thcdt/myMacro.h thcdt/cdt.h \
  thcdt/cdt.cpp
thchenc.o: thchenc.cxx thchenc.h thchencdata.h thparse.h thbuffer.h \
  thmbuffer.h thchencdata.cxx therion.h thexception.h
thchencdata.o: thchencdata.cxx
thcmdline.o: thcmdline.cxx thcmdline.h therion.h thlogfile.h thbuffer.h \
  thconfig.h thmbuffer.h thinput.h thparse.h thexporter.h thexport.h \
  thobjectsrc.h thselector.h thtmpdir.h extern/getopt.h
thconfig.o: thconfig.cxx thconfig.h thbuffer.h thmbuffer.h thinput.h \
  thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
  thchenc.h thchencdata.h thexception.h thdatabase.h thdataobject.h \
  thperson.h thdate.h thdataleg.h thobjectname.h thinfnan.h thdb1d.h \
  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h \
  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thattr.h thdatareader.h thcsdata.h thproj.h thlogfile.h thgeomag.h \
  thgeomagdata.h thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h \
  thsketch.h thpic.h
thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
  thpdfdata.h thepsparse.h thtexfonts.h
thcsdata.o: thcsdata.cxx thcsdata.h thparse.h thbuffer.h thmbuffer.h
thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
  thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
  therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
  thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thattr.h thchenc.h \
  thchencdata.h thsurvey.h thtfpwf.h thendsurvey.h thexception.h thdata.h \
  thtfangle.h thtf.h thtflength.h thcmdline.h thdatastation.h thgrade.h \
  thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h thscrap.h \
  thsketch.h thpic.h thtrans.h th2ddataobject.h thpoint.h thline.h \
  tharea.h thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
  thmbuffer.h thobjectname.h therion.h thobjectsrc.h thinfnan.h \
  thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h thdb2d.h \
  thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h \
  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thattr.h \
  thchenc.h thchencdata.h thtfangle.h thtf.h thtflength.h thtfpwf.h \
  thexception.h thsurvey.h thgrade.h thcsdata.h thdatareader.h thinput.h
thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \
  thobjectname.h therion.h thobjectsrc.h thinfnan.h
thdataobject.o: thdataobject.cxx thdataobject.h thdatabase.h thmbuffer.h \
  thbuffer.h thdb1d.h thobjectid.h thinfnan.h thdataleg.h thparse.h \
  thobjectname.h therion.h thobjectsrc.h thdb3d.h thdb2d.h thdb2dprj.h \
  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thattr.h thchenc.h \
  thchencdata.h thexception.h thsurvey.h thtfpwf.h thconfig.h thinput.h \
  thexporter.h thexport.h thselector.h thcsdata.h thproj.h
thdatareader.o: thdatareader.cxx thdatareader.h thdatabase.h \
  thdataobject.h thperson.h thparse.h thbuffer.h thmbuffer.h thdate.h \
  thdataleg.h thobjectname.h therion.h thobjectsrc.h thinfnan.h thdb1d.h \
  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h \
  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
  thattr.h thchenc.h thchencdata.h thinput.h thexception.h
thdatastation.o: thdatastation.cxx thdatastation.h thdataobject.h \
  thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
  thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \

=== loch/Makefile ===
# common therion objects
CMNOBJECTS = \
  lxTR.o lxOGLFT.o lxSetup.o lxRender.o lxWX.o \
  lxImgIO.o lxLRUD.o lxFile.o \
  lxData.o lxMath.o lxSView.o lxSScene.o \
  lxGUI.o lxGLCo.o lxGLCs.o lxOptDlg.o lxAboutDlg.o \
  img.o

VTKLIBS = -lvtkHybrid -lvtkImaging -lvtkIO -lvtkGraphics -lvtkFiltering -lvtkCommon -lvtkjpeg -lvtkpng -lvtkzlib -lfreetype
POSTMAKE =
STRIPFLAG = -s 

# PLATFORM CONFIG

# PLATFORM LINUX
##CXX = c++
##CC = gcc
##POBJECTS = lxR2P.o
##VTKPATH = /usr/local/include/vtk-5.0
##VTKLIBPATH = /usr/local/lib/vtk-5.0
##CXXPFLAGS = -DLXLINUX $(shell wx-config --cxxflags) -Wno-deprecated $(shell freetype-config --cflags) -I$(VTKPATH)
##CCPFLAGS = -DLXLINUX  $(shell wx-config --cflags)
##LXLIBDIR = linux
##PLIBS = $(shell wx-config --libs --gl-libs) -L$(VTKPATH)/lib/vtk $(VTKLIBS) -lpthread -lz 
##LXPLATFORM = LINUX

# PLATFORM DEBIAN
CXX = c++
CC = gcc
POBJECTS = lxR2P.o
VTKPATH = /usr/include/vtk-5.0
VTKLIBPATH = /usr/lib/vtk-5.0
VTKLIBS = -lvtkHybrid -lvtkImaging -lvtkIO -lvtkGraphics -lvtkFiltering -lvtkCommon -lfreetype
CXXPFLAGS = -DLXLINUX $(shell wx-config --cxxflags) -Wno-deprecated $(shell freetype-config --cflags) -I$(VTKPATH)
CCPFLAGS = -DLXLINUX  $(shell wx-config --cflags)
LXLIBDIR = linux
PLIBS = $(shell wx-config --libs --gl-libs) -L$(VTKPATH)/lib/vtk $(VTKLIBS) -lpthread -lz 
LXPLATFORM = LINUX

# PLATFORM WIN32
##CXX = c++
##CC = gcc
##VTKPATH = /usr/local/include/vtk-5.0
##POBJECTS = loch.res lxR2D.o getline.o
##CXXPFLAGS = -W -Wall -DLXWIN32 $(shell wx-config --static --cxxflags) $(shell freetype-config --cflags) -I$(VTKPATH) -Wno-deprecated
##CCPFLAGS = -W -Wall -DLXWIN32 $(shell wx-config --static --cflags)
##LXLIBDIR = mingw
##PLIBS = $(shell freetype-config --libs) $(shell wx-config --static --libs --gl-libs) $(VTKLIBS) -lwxzlib-2.6
##LXPLATFORM = WIN32

# PLATFORM MACOSX
##CXX = c++
##CC = cc
##VTKPATH = /usr/local/include/vtk-5.0
##POBJECTS = getline.o
##CXXPFLAGS = -W -Wall -DLXMACOSX $(shell wx-config --static --cxxflags) -I$(VTKPATH) -Wno-deprecated -I/usr/X11R6/include -I/usr/X11R6/include/freetype2
##CCPFLAGS = -W -Wall -DLXMACOSX $(shell wx-config --static --cflags) -I/usr/X11R6/include
##LXLIBDIR = 
##PLIBS = -lz -L/usr/X11R6/lib $(shell wx-config --static --libs --gl-libs) $(VTKLIBS)
##POSTMAKE = cp -f ./loch ./loch.app/Contents/MacOS
##STRIPFLAG =

# PLATFORM ENDCONFIG


# BUILD CONFIG

# BUILD OZONE
##CCBFLAGS = -O3
##CXXBFLAGS = -O3
##LDBFLAGS = $(STRIPFLAG)

# BUILD OXYGEN
CCBFLAGS = -O2
CXXBFLAGS = -O2
LDBFLAGS = $(STRIPFLAG)

# BUILD RELEASE
##CCBFLAGS = 
##CXXBFLAGS = 
##LDBFLAGS = $(STRIPFLAG)

# BUILD DEBUG
##CCBFLAGS = -ggdb
##CXXBFLAGS = -ggdb -DLXDEBUG
##LDBFLAGS = 

# BUILD ENDCONFIG


# compiler settings
CXXFLAGS = -Wall -D_GNU_SOURCE -DLOCH $(CXXPFLAGS) $(CXXBFLAGS)
CCFLAGS = -Wall -D_GNU_SOURCE -DLOCH $(CCPFLAGS) $(CCBFLAGS)
OBJECTS = $(POBJECTS) $(CMNOBJECTS)

# linker settings
LIBS = $(PLIBS)
LDFLAGS = $(LDBFLAGS)


.SUFFIXES:
.SUFFIXES: .cxx .o .h .c

.cxx.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $<

.c.o:
	$(CC) -c $(CCFLAGS) -o $@ $<

all: loch hlp

hlp:
	make -C ./help

loch:	$(OBJECTS)
	$(CXX) -o loch -Wall $(OBJECTS) $(LIBS) $(LDFLAGS)
	$(POSTMAKE)

loch.res: loch.rc loch.ico
	windres --include-dir e:/MSVCProjects/wxWidgets-2.6.0/include -i loch.rc -I rc -o loch.res -O coff

graphs: 
	dot -Tps graph-vispipe.dot -o graph-vispipe.ps


depend:
	perl makedepend.pl > Makefile.dep
	perl maketest.pl Makefile.dep
	perl makefile.pl mv Makefile.dep Makefile
	$(CXX) -DLXDEPCHECK -DLOCH -MM *.cxx >> Makefile
	$(CC) -DLXDEPCHECK -DLOCH -MM *.c >> Makefile
  

config-debug:
	perl makeconfig.pl BUILD DEBUG

test-release:
	zip -9 loch.zip loch.exe test.th test.jpg thconfig
  
config-release:
	perl makeconfig.pl BUILD RELEASE

config-oxygen:
	perl makeconfig.pl BUILD OXYGEN
  
config-ozone:
	perl makeconfig.pl BUILD OZONE
  
config-linux:
	perl makeconfig.pl PLATFORM LINUX

config-debian:
	perl makeconfig.pl PLATFORM DEBIAN
  
config-win32:
	perl makeconfig.pl PLATFORM WIN32
  
config-macosx:
	perl makeconfig.pl PLATFORM MACOSX

clean:
	perl makefile.pl rm -q *~     
	perl makefile.pl rm -q help/*/*~
	perl makefile.pl rm -q loch.exe
	perl makefile.pl rm -q loch
	perl makefile.pl rm -q loch.app/Contents/MacOS/loch
	perl makefile.pl rm -q *.o
	perl makefile.pl rm -q *.log
	perl makefile.pl rm -q core
	perl makefile.pl rmdir -q .xvpics
	perl makefile.pl rm -q *.bmp
	perl makefile.pl rm -q *.ppm
	perl makefile.pl rm -q *.zip
	perl makefile.pl rm -q *.pdf
	perl makefile.pl rm -q *.png
  


# DEPENDENCIES
lxAboutDlg.o: lxAboutDlg.cxx lxWX.h icons/about.xpm ../thversion.h
lxData.o: lxData.cxx lxData.h lxMath.h lxImgIO.h lxFile.h lxLRUD.h
lxFile.o: lxFile.cxx lxFile.h lxMath.h img.h
lxGLCo.o: lxGLCo.cxx lxGLC.h lxMath.h lxGLCx.h lxGLCx.cxx lxSetup.h \
  lxData.h lxImgIO.h lxFile.h lxRender.h lxTR.h
lxGLCs.o: lxGLCs.cxx lxGLC.h lxMath.h lxGLCx.h lxGUI.h lxData.h lxImgIO.h \
  lxFile.h lxSetup.h lxSView.h lxWX.h lxFNT6x13_bdf.h lxFNT10x20_bdf.h \
  lxFNTFreeSans_ttf.h lxGLCx.cxx lxRender.h
lxGLCx.o: lxGLCx.cxx
lxGUI.o: lxGUI.cxx lxGUI.h lxGLC.h lxMath.h lxGLCx.h lxData.h lxImgIO.h \
  lxFile.h lxSetup.h lxRender.h lxOptDlg.h lxAboutDlg.h lxSView.h lxWX.h \
  lxSScene.h icons/open.xpm icons/render.xpm icons/reload.xpm \
  icons/stereo.xpm icons/rotation.xpm icons/lockrot.xpm icons/fit.xpm \
  icons/home.xpm icons/rendersetup.xpm icons/plan.xpm icons/profile.xpm \
  icons/fullscreen.xpm icons/orto.xpm icons/camera.xpm icons/scene.xpm \
  icons/viscline.xpm icons/vissurface.xpm icons/visbbox.xpm \
  icons/viswalls.xpm icons/visinds.xpm loch.xpm
lxImgIO.o: lxImgIO.cxx lxImgIO.h
lxLRUD.o: lxLRUD.cxx lxLRUD.h lxMath.h
lxMath.o: lxMath.cxx lxMath.h
lxOGLFT.o: lxOGLFT.cxx lxOGLFT.h
lxOptDlg.o: lxOptDlg.cxx lxWX.h lxGUI.h lxGLC.h lxMath.h lxGLCx.h
lxRender.o: lxRender.cxx lxRender.h lxWX.h lxGLC.h lxMath.h lxGLCx.h \
  lxGUI.h lxSetup.h lxData.h lxImgIO.h lxFile.h lxTR.h
lxSetup.o: lxSetup.cxx lxSetup.h lxData.h lxMath.h lxImgIO.h lxFile.h
lxSScene.o: lxSScene.cxx lxSScene.h lxWX.h lxGUI.h lxGLC.h lxMath.h \
  lxGLCx.h lxSetup.h lxData.h lxImgIO.h lxFile.h loch.xpm
lxSView.o: lxSView.cxx lxSView.h lxWX.h lxGUI.h lxGLC.h lxMath.h lxGLCx.h \
  lxSetup.h lxData.h lxImgIO.h lxFile.h loch.xpm
lxWX.o: lxWX.cxx lxWX.h
getline.o: getline.c
img.o: img.c img.h
lxR2D.o: lxR2D.c lxR2D.h
lxR2P.o: lxR2P.c lxR2P.h
lxTR.o: lxTR.c lxTR.h

=== thbook/Makefile ===
all:
	pdftex thbook.tex
	perl ../makefile.pl rm ./thbook.log
  
win32:
	"C:/Program files/Therion/bin/win32/pdfetex.exe" thbook.tex
	perl ../makefile.pl rm ./thbook.log

=== debian/changelog ===
therion (0.5.1) unstable; urgency=low

  * New upstream release, Closes: #440534
  * nostrip DEB_BUILD_OPTION handling fixed, Closes: #438207
  * Build-deps corrected, Closes: #458759

 -- Wookey <wookey@debian.org>  Tue, 01 Jan 2008 02:33:17 +0000

therion (0.5.0-2) unstable; urgency=low

  * (Long overdue) Upload to unstable
  * Closes: #413417
  * Closes: #414702

 -- Wookey <wookey@debian.org>  Tue, 01 Jan 2008 02:32:20 +0000

therion (0.5.0-1) experimental; urgency=low

  * New upstream release
  * Changed packaging to use dbs in order to combine wikidocs tarball nicely

 -- Wookey <wookey@debian.org>  Sun,  4 Feb 2007 01:05:44 +0000

therion (0.4.1~pre20061223-3) unstable; urgency=low

  * Remove need for czech/slovak fonts by default

 -- Wookey <wookey@debian.org>  Mon,  3 Jan 2007 17:15:43 +0100

therion (0.4.1~pre20061223-2) unstable; urgency=low

  * Add Texlive dependencies
  * Closes: #356368 

 -- Wookey <wookey@debian.org>  Mon,  1 Jan 2007 20:25:43 +0100

therion (0.4.1~pre20061223-1) unstable; urgency=low

  * New upstream not-actually-released release - adds area bedrock

 -- Wookey <wookey@debian.org>  Mon,  1 Jan 2007 19:21:43 +0100

therion (0.4.1~pre20061221-1) unstable; urgency=low

  * New upstream release
  * therion-viewer package added for new model-viewer
  * Policy updated to 3.7.2
  * Makefiles simplified and minimised
  * Therion wiki static export included (Oct 2006)
  * Docs moved off into doc package

 -- Wookey <wookey@debian.org>  Tue,  3 Oct 2006 02:38:33 +0100

therion (0.3.10-3) unstable; urgency=low

  * Add recommends for libtk-img library to allow use of PNGs and JPEGs
  * Minor thbook clarification in map-header

 -- Wookey <wookey@debian.org>  Tue, 19 Sep 2006 02:21:27 +0100

therion (0.3.10-2) unstable; urgency=low

  * therion_0.3.10-1(amd64/unstable): FTBFS: thlocale.h:22: error: extra
    qualification 'thlocale::' on member 'format_human_length' (Closes:
    #372931)

 -- Wookey <wookey@debian.org>  Sun,  9 Jul 2006 01:23:45 +0100
 

therion (0.3.10-1) unstable; urgency=low

  * New upstream release

 -- Wookey <wookey@debian.org>  Sun,  12 Jun 2006 01:22:30 +0100

therion (0.3.9-5) unstable; urgency=low

  * apply fixes for gcc4.1 FTBFS closes:356875

 -- Wookey <wookey@debian.org>  Wed, 15 Mar 2006 17:57:47 +0000

therion (0.3.9-4) unstable; urgency=low

  * Updated debhelper build-dep to correct minimum version

 -- Wookey <wookey@debian.org>  Wed,  1 Feb 2006 13:33:34 +0000

therion (0.3.9-3) unstable; urgency=low

  * Fix lintian errors

 -- Wookey <wookey@debian.org>  Thu, 19 Jan 2006 02:32:53 +0000

=== debian/control ===
Source: therion
Section: science
Priority: extra
Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>> 5.0.0), dbs, perl (>= 5.5), docbook-to-man, texlive-base, tcl8.4 | tclsh, libvtk5-dev, libwxgtk2.6-dev, libfreetype6-dev, libjpeg62-dev, libpng12-dev
Standards-Version: 3.7.2

Package: therion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl8.4 | wish, texlive-base, texlive-metapost, bwidget
Recommends: evince | pdf-viewer, libtk-img, therion-viewer
Suggests: survex-aven, texlive-lang-czechslovak
Description: Cave surveying - 2D and 3D drawing software
 Therion aids the process of drawing up cave surveys (maps). Drawings are done
 over scans and can be distorted to fit the centreline data. Output is in single
 sheet or atlas style PDF files. All data is stored in text files and a map 
 editor (xtherion) is provided to aid in the creation of the files. Therion can 
 also produce 3D models, generated from walls and passage-heights. Output formats 
 supported are .3d files, VRML, DXF, and the native .thm (therion model). Therion is 
 compatible with Survex and uses it for the centreline processing. Centreline data 
 can be stored in Survex or therion form. 
 .
 TeX and metapost are used to generate the images. libtk-img is needed to use scans in 
 formats other than GIF and PNM (such as PNG and JPEG).
 .
 The example files use czech/slovak names so you will need texlive-lang-czechslovak 
 (or tetex-extra) to process them.

Package: therion-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, therion
Description: Cave surveying - 3D viewer for therion models
 Therion is cave-survey drawing and modelling software. This package contains 
 the 3D model viewer for therion models produced by version 0.4 or later.
 
Package: therion-doc
Architecture: all
Recommends: therion 
Replaces: therion (<< 0.5.0)
Description: Documentation for Therion Cave surveying software
 Therion is cave-survey drawing and modelling software. This package
 includes the thbook which is the specification for the therion data
 description language, and all the wiki documentation including the
 excellent guide 'Therion by Example' (in English and Czech) and
 'Therion for Cavers' (in English and Spanish), along with numerous FAQ
 and tips items.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

#dbs rules
TAR_DIR = therion
include /usr/share/dbs/dbs-build.mk
# convenient way to set architecture specification strings
# the ifeq condition is here to allow them to be overridden
# from the command line
ifeq (,$(DEB_BUILD_GNU_TYPE))
  include /usr/share/dbs/dpkg-arch.mk
endif
 

configure: configure-stamp
configure-stamp: $(patched)
	dh_testdir
	# Add here commands to configure the package.										                                                    --mandir=/usr/share/man
																    
	touch configure-stamp


build: build-stamp $(patched)

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd $(BUILD_TREE) && $(MAKE)
	/usr/bin/docbook-to-man debian/manloch.sgml > $(BUILD_TREE)/man/loch.1
	ln -sf loch.1 $(BUILD_TREE)/man/therion-viewer.1
	# create therion.ini file:
	cd $(BUILD_TREE) && $(MAKE) init 
	cd $(BUILD_TREE) && $(MAKE) doc
	#we should generate html of thbook here too if possible

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	rm -rf $(STAMP_DIR) $(SOURCE_DIR)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/therion.
#this stuff no longer needed from 0.2.14
#but it would be nice to put it back
#	install -d -o root -g root -m 755 debian/therion/usr/share/texmf/metapost/therion
#	install -d -o root -g root -m 755 debian/therion/usr/share/texmf/tex/therion
#	install -p -o root -g root -m 644 mpost/*.mp debian/therion/usr/share/texmf/metapost/therion/
#	install -p -o root -g root -m 644 tex/*.tex debian/therion/usr/share/texmf/tex/therion/
	dh_install --sourcedir=$(BUILD_TREE)
	dh_installdocs $(BUILD_TREE)/README
	dh_installdocs -ptherion-doc  $(BUILD_TREE)/thbook/thbook.pdf  $(BUILD_TREE)/wikidocs
	dh_installdocs -ptherion-viewer $(BUILD_TREE)/loch/help/en/loch.htm
	dh_installexamples --exclude=.tcl --exclude=Makefile $(BUILD_TREE)/samples $(BUILD_TREE)/thconfig $(BUILD_TREE)/therion.ini
	dh_installmenu
	dh_installmime
	dh_installman -ptherion $(BUILD_TREE)/man/therion.1 $(BUILD_TREE)/man/xtherion.1
	dh_installman -ptherion-viewer $(BUILD_TREE)/man/loch.1 $(BUILD_TREE)/man/therion-viewer.1
	dh_installchangelogs $(BUILD_TREE)/CHANGES
	dh_strip
	dh_compress -X.pdf -X.th -X.th2 -Xthconfig
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

get-orig-source: 
	wget -nc -nd http://therion.speleo.sk/download.php?package=therion

## therion 0.5.1+nmu1

=== debian/changelog ===
therion (0.5.1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix GCC 4.3 compatibility (Closes: #462565)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 20 Mar 2008 02:06:17 +0100

## therion 5.2.8-1build1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
   thconvert.o thpdf.o thpdfdbg.o thpdfdata.o thtexfonts.o \
   thsymbolset.o thlang.o thmapstat.o thexpdb.o thpic.o thsketch.o thproj.o \
   extern/lxMath.o extern/lxFile.o thcdt.o thdb3d.o thsurface.o thimport.o thsvg.o thepsparse.o \
-  thtrans.o thwarpp.o thwarppt.o thwarppme.o thwarp.o thexpshp.o thattr.o \
+  thtrans.o thwarpp.o thwarppt.o thwarppme.o thwarp.o thexpshp.o thattr.o thtex.o \
   therion.o extern/proj4/libproj.a 
 
 # PLATFORM CONFIG
@@ -132,7 +132,7 @@
 	./therion --print-init-file > therion.ini
 
 install: all
-	perl makeinstall.pl $(THPLATFORM)
+	tclsh makeinstall.tcl $(THPLATFORM)
 
 
 release:
@@ -169,6 +169,13 @@
 
 doc: thbook/thbook.pdf
 
+thbook: thbook/thbook.pdf
+
+samples: samples.doc/index.tex
+
+samples.doc/index.tex:
+	make -C ./samples
+
 thbook/thbook.pdf: thbook/*.tex
 	make -C ./thbook
   
@@ -177,7 +184,7 @@
 	make -C ./loch clean
 	make -C ./samples clean
 	make -C ./extern/proj4 clean
-	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~
+	perl makefile.pl rm -q therion ./xtherion/xtherion ./xtherion/xtherion.tcl therion.exe *~ *.log *.o thchencdata/*~ .xtherion.dat
 	perl makefile.pl rm -q xtherion/*~ .xth_thconfig_xth xtherion/screendump thlang/*~
 	perl makefile.pl rm -q extern/*.o extern/*~ samples/*~ samples/*.log
 	perl makefile.pl rm -q symbols.html therion.res
@@ -256,20 +263,20 @@
 th2ddataobject.o: th2ddataobject.cxx th2ddataobject.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
-  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
-  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
-  thattr.h thchenc.h thchencdata.h thexception.h thsymbolset.h \
+  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
+  thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
+  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
+  thlayoutln.h thscrapen.h thscraplp.h thexception.h thsymbolset.h \
   thsymbolsetlist.h
 tharea.o: tharea.cxx tharea.h th2ddataobject.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
-  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
-  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
-  thattr.h thchenc.h thchencdata.h thexception.h thexpmap.h thexport.h \
-  thsymbolset.h thsymbolsetlist.h thlayout.h thlocale.h thlang.h \
-  thlangdata.h thline.h
+  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
+  thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
+  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
+  thlayoutln.h thscrapen.h thscraplp.h thexception.h thexpmap.h \
+  thexport.h thsymbolset.h thsymbolsetlist.h thlayout.h thlocale.h \
+  thlang.h thlangdata.h thline.h
 thattr.o: thattr.cxx thattr.h thmbuffer.h thchenc.h thchencdata.h \
   thparse.h thbuffer.h extern/shapefil.h thexception.h therion.h
 thbezier.o: thbezier.cxx thbezier.h
@@ -284,56 +291,54 @@
   thobjectsrc.h thselector.h thtmpdir.h extern/getopt.h
 thconfig.o: thconfig.cxx thconfig.h thbuffer.h thmbuffer.h thinput.h \
   thparse.h thexporter.h thexport.h thobjectsrc.h thselector.h therion.h \
-  thchenc.h thchencdata.h thexception.h thdatabase.h thdataobject.h \
-  thperson.h thdate.h thdataleg.h thobjectname.h thinfnan.h thdb1d.h \
-  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h \
-  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
-  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
-  thattr.h thdatareader.h thcsdata.h thproj.h thlogfile.h thgeomag.h \
-  thgeomagdata.h thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h \
-  thsketch.h thpic.h
+  thlang.h thlangdata.h thchenc.h thchencdata.h thexception.h \
+  thdatabase.h thdataobject.h thperson.h thdate.h thdataleg.h \
+  thobjectname.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h thattr.h \
+  thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
+  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
+  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thdatareader.h \
+  thcsdata.h thproj.h thlogfile.h thgeomag.h thgeomagdata.h thlayout.h \
+  thsymbolset.h thsymbolsetlist.h thlocale.h thsketch.h thpic.h
 thconvert.o: thconvert.cxx thpdfdbg.h thexception.h therion.h thbuffer.h \
   thpdfdata.h thepsparse.h thtexfonts.h
 thcsdata.o: thcsdata.cxx thcsdata.h thparse.h thbuffer.h thmbuffer.h
 thdatabase.o: thdatabase.cxx thdatabase.h thdataobject.h thperson.h \
   thparse.h thbuffer.h thmbuffer.h thdate.h thdataleg.h thobjectname.h \
   therion.h thobjectsrc.h thinfnan.h thdb1d.h thobjectid.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
-  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
-  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thattr.h thchenc.h \
-  thchencdata.h thsurvey.h thtfpwf.h thendsurvey.h thexception.h thdata.h \
+  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \
+  thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
+  thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
+  thscraplp.h thsurvey.h thtfpwf.h thendsurvey.h thexception.h thdata.h \
   thtfangle.h thtf.h thtflength.h thcmdline.h thdatastation.h thgrade.h \
   thlayout.h thsymbolset.h thsymbolsetlist.h thlocale.h thscrap.h \
   thsketch.h thpic.h thtrans.h th2ddataobject.h thpoint.h thline.h \
   tharea.h thjoin.h thmap.h thimport.h thsurface.h thendscrap.h
 thdata.o: thdata.cxx thdata.h thdataleg.h thparse.h thbuffer.h \
   thmbuffer.h thobjectname.h therion.h thobjectsrc.h thinfnan.h \
-  thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h thdb2d.h \
-  thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h \
-  thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h \
-  thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thattr.h \
-  thchenc.h thchencdata.h thtfangle.h thtf.h thtflength.h thtfpwf.h \
+  thdataobject.h thdatabase.h thdb1d.h thobjectid.h thdb3d.h thattr.h \
+  thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h \
+  thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h \
+  thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h \
+  thscrapen.h thscraplp.h thtfangle.h thtf.h thtflength.h thtfpwf.h \
   thexception.h thsurvey.h thgrade.h thcsdata.h thdatareader.h thinput.h
 thdataleg.o: thdataleg.cxx thdataleg.h thparse.h thbuffer.h thmbuffer.h \
   thobjectname.h therion.h thobjectsrc.h thinfnan.h
 thdataobject.o: thdataobject.cxx thdataobject.h thdatabase.h thmbuffer.h \
   thbuffer.h thdb1d.h thobjectid.h thinfnan.h thdataleg.h thparse.h \
-  thobjectname.h therion.h thobjectsrc.h thdb3d.h thdb2d.h thdb2dprj.h \
-  thmapstat.h thdate.h thperson.h thlegenddata.h thdb2dpt.h thdb2dlp.h \
-  thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h \
-  thscraplo.h thlayoutln.h thscrapen.h thscraplp.h thattr.h thchenc.h \
-  thchencdata.h thexception.h thsurvey.h thtfpwf.h thconfig.h thinput.h \
+  thobjectname.h therion.h thobjectsrc.h thdb3d.h thattr.h thchenc.h \
+  thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h \
+  thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h \
+  thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h \
+  thscraplp.h thexception.h thsurvey.h thtfpwf.h thconfig.h thinput.h \
   thexporter.h thexport.h thselector.h thcsdata.h thproj.h
 thdatareader.o: thdatareader.cxx thdatareader.h thdatabase.h \
   thdataobject.h thperson.h thparse.h thbuffer.h thmbuffer.h thdate.h \
   thdataleg.h thobjectname.h therion.h thobjectsrc.h thinfnan.h thdb1d.h \
-  thobjectid.h thdb3d.h thdb2d.h thdb2dprj.h thmapstat.h thlegenddata.h \
-  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
-  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
-  thattr.h thchenc.h thchencdata.h thinput.h thexception.h
+  thobjectid.h thdb3d.h thattr.h thchenc.h thchencdata.h thdb2d.h \
+  thdb2dprj.h thmapstat.h thlegenddata.h thdb2dpt.h thdb2dlp.h thdb2dab.h \
+  thdb2dji.h thdb2dmi.h thdb2dcp.h thdb2dxs.h thdb2dxm.h thscraplo.h \
+  thlayoutln.h thscrapen.h thscraplp.h thinput.h thexception.h
 thdatastation.o: thdatastation.cxx thdatastation.h thdataobject.h \
   thdatabase.h thmbuffer.h thbuffer.h thdb1d.h thobjectid.h thinfnan.h \
   thdataleg.h thparse.h thobjectname.h therion.h thobjectsrc.h thdb3d.h \
-  thdb2d.h thdb2dprj.h thmapstat.h thdate.h thperson.h thlegenddata.h \
-  thdb2dpt.h thdb2dlp.h thdb2dab.h thdb2dji.h thdb2dmi.h thdb2dcp.h \
-  thdb2dxs.h thdb2dxm.h thscraplo.h thlayoutln.h thscrapen.h thscraplp.h \
+  thattr.h thchenc.h thchencdata.h thdb2d.h thdb2dprj.h thmapstat.h \

=== loch/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
   lxTR.o lxOGLFT.o lxSetup.o lxRender.o lxWX.o \
   lxImgIO.o lxLRUD.o lxFile.o \
   lxData.o lxMath.o lxSView.o lxSScene.o \
-  lxGUI.o lxGLCo.o lxGLCs.o lxOptDlg.o lxAboutDlg.o \
+  lxGUI.o lxGLC.o lxOptDlg.o lxAboutDlg.o \
   img.o
 
 VTKLIBS = -lvtkHybrid -lvtkImaging -lvtkIO -lvtkGraphics -lvtkFiltering -lvtkCommon -lvtkjpeg -lvtkpng -lvtkzlib -lfreetype
@@ -21,7 +21,7 @@
 ##CXXPFLAGS = -DLXLINUX $(shell wx-config --cxxflags) -Wno-deprecated $(shell freetype-config --cflags) -I$(VTKPATH)
 ##CCPFLAGS = -DLXLINUX  $(shell wx-config --cflags)
 ##LXLIBDIR = linux
-##PLIBS = $(shell wx-config --libs --gl-libs) -L$(VTKPATH)/lib/vtk $(VTKLIBS) -lpthread -lz 
+##PLIBS = $(shell wx-config --libs --gl-libs) -L$(VTKPATH)/lib/vtk $(VTKLIBS) -lGLU -lpthread -lz 
 ##LXPLATFORM = LINUX
 
 # PLATFORM DEBIAN
@@ -34,7 +34,7 @@
 CXXPFLAGS = -DLXLINUX $(shell wx-config --cxxflags) -Wno-deprecated $(shell freetype-config --cflags) -I$(VTKPATH)
 CCPFLAGS = -DLXLINUX  $(shell wx-config --cflags)
 LXLIBDIR = linux
-PLIBS = $(shell wx-config --libs --gl-libs) -L$(VTKPATH)/lib/vtk $(VTKLIBS) -lpthread -lz 
+PLIBS = $(shell wx-config --libs --gl-libs) -L$(VTKPATH)/lib/vtk $(VTKLIBS) -lGLU -lpthread -lz 
 LXPLATFORM = LINUX
 
 # PLATFORM WIN32
@@ -180,14 +180,11 @@
 lxAboutDlg.o: lxAboutDlg.cxx lxWX.h icons/about.xpm ../thversion.h
 lxData.o: lxData.cxx lxData.h lxMath.h lxImgIO.h lxFile.h lxLRUD.h
 lxFile.o: lxFile.cxx lxFile.h lxMath.h img.h
-lxGLCo.o: lxGLCo.cxx lxGLC.h lxMath.h lxGLCx.h lxGLCx.cxx lxSetup.h \
-  lxData.h lxImgIO.h lxFile.h lxRender.h lxTR.h
-lxGLCs.o: lxGLCs.cxx lxGLC.h lxMath.h lxGLCx.h lxGUI.h lxData.h lxImgIO.h \
-  lxFile.h lxSetup.h lxSView.h lxWX.h lxFNT6x13_bdf.h lxFNT10x20_bdf.h \
-  lxFNTFreeSans_ttf.h lxGLCx.cxx lxRender.h
-lxGLCx.o: lxGLCx.cxx
-lxGUI.o: lxGUI.cxx lxGUI.h lxGLC.h lxMath.h lxGLCx.h lxData.h lxImgIO.h \
-  lxFile.h lxSetup.h lxRender.h lxOptDlg.h lxAboutDlg.h lxSView.h lxWX.h \
+lxGLC.o: lxGLC.cxx lxGLC.h lxMath.h lxGUI.h lxData.h lxImgIO.h lxFile.h \
+  lxSetup.h lxSView.h lxWX.h lxFNT6x13_bdf.h lxFNT10x20_bdf.h \
+  lxFNTFreeSans_ttf.h lxRender.h lxTR.h
+lxGUI.o: lxGUI.cxx lxGUI.h lxGLC.h lxMath.h lxData.h lxImgIO.h lxFile.h \
+  lxSetup.h lxRender.h lxOptDlg.h lxAboutDlg.h lxSView.h lxWX.h \
   lxSScene.h icons/open.xpm icons/render.xpm icons/reload.xpm \
   icons/stereo.xpm icons/rotation.xpm icons/lockrot.xpm icons/fit.xpm \
   icons/home.xpm icons/rendersetup.xpm icons/plan.xpm icons/profile.xpm \
@@ -198,14 +195,14 @@
 lxLRUD.o: lxLRUD.cxx lxLRUD.h lxMath.h
 lxMath.o: lxMath.cxx lxMath.h
 lxOGLFT.o: lxOGLFT.cxx lxOGLFT.h
-lxOptDlg.o: lxOptDlg.cxx lxWX.h lxGUI.h lxGLC.h lxMath.h lxGLCx.h
-lxRender.o: lxRender.cxx lxRender.h lxWX.h lxGLC.h lxMath.h lxGLCx.h \
-  lxGUI.h lxSetup.h lxData.h lxImgIO.h lxFile.h lxTR.h
+lxOptDlg.o: lxOptDlg.cxx lxWX.h lxGUI.h lxGLC.h lxMath.h
+lxRender.o: lxRender.cxx lxRender.h lxWX.h lxGLC.h lxMath.h lxGUI.h \
+  lxSetup.h lxData.h lxImgIO.h lxFile.h lxTR.h
+lxSScene.o: lxSScene.cxx lxSScene.h lxWX.h lxGUI.h lxGLC.h lxMath.h \
+  lxSetup.h lxData.h lxImgIO.h lxFile.h loch.xpm
+lxSView.o: lxSView.cxx lxSView.h lxWX.h lxGUI.h lxGLC.h lxMath.h \
+  lxSetup.h lxData.h lxImgIO.h lxFile.h loch.xpm
 lxSetup.o: lxSetup.cxx lxSetup.h lxData.h lxMath.h lxImgIO.h lxFile.h
-lxSScene.o: lxSScene.cxx lxSScene.h lxWX.h lxGUI.h lxGLC.h lxMath.h \
-  lxGLCx.h lxSetup.h lxData.h lxImgIO.h lxFile.h loch.xpm
-lxSView.o: lxSView.cxx lxSView.h lxWX.h lxGUI.h lxGLC.h lxMath.h lxGLCx.h \
-  lxSetup.h lxData.h lxImgIO.h lxFile.h loch.xpm
 lxWX.o: lxWX.cxx lxWX.h
 getline.o: getline.c
 img.o: img.c img.h

=== loch/help/Makefile ===
all:
	make -i -C ./en
	make -i -C ./sk

=== debian/changelog ===
therion (5.2.8-1build1) karmic; urgency=low

  * No change rebuild for vtk transition

 -- Scott Kitterman <scott@kitterman.com>  Sun, 30 Aug 2009 10:51:39 -0400

therion (5.2.8-1) unstable; urgency=low

  * New upstream release
  * Limited cross-build support

 -- Wookey <wookey@debian.org>  Tue, 28 Apr 2009 03:03:54 +0100

therion (0.5.1-2) unstable; urgency=low

  * Fix lintian warnings, updating to Debian Policy v2.7.3
  * Build HTML version of samples and include in therion-doc

 -- wookey <wookey@debian.org>  Thu, 03 Jan 2008 04:35:28 +0000

=== debian/control ===
Source: therion
Section: science
Priority: extra
Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>> 5.0.0), dbs, perl (>= 5.5), docbook-to-man, texlive-base, texlive-metapost, tcl8.5 | tclsh, libvtk5-dev, libwxgtk2.6-dev, libfreetype6-dev, libjpeg62-dev, libpng12-dev, imagemagick, ghostscript
Standards-Version: 3.8.0

Package: therion
Architecture: any
Depends: ${shlibs:Depends}, tcl8.5 | wish, texlive-base, texlive-metapost, bwidget
Recommends: evince | pdf-viewer, libtk-img, therion-viewer
Suggests: survex-aven, texlive-lang-czechslovak, texlive-lang-cyrillic
Description: Cave surveying - 2D and 3D drawing software
 Therion aids the process of drawing up cave surveys (maps). Drawings are 
 done over scans and can be distorted to fit the centreline data. Output is 
 in single sheet or atlas style PDF or SVG files. All data is stored in text 
 files and a map  editor (xtherion) is provided to aid in the creation of the 
 files. 
 .
 Therion can also produce 3D models, generated from walls and passage-heights. 
 Output formats supported are Survex .3d files, VRML, DXF, SVG, shapefiles, 
 and the native .loc and older .thm (therion model). Therion is compatible with 
 Survex, and centreline data can be stored in Survex or Therion form. Centreline 
 data and sketches can be imported from PocketTopo.
 .
 TeX and metapost are used to generate the images. libtk-img is needed to use 
 scans in formats other than GIF and PNM (such as PNG and JPEG).
 .
 You will need appropriate TeX language packages to process therion files which 
 specify those character sets: Texlive-lang-czechslovak is needed to process 
 the examples, and texlive-lang-cyrillic is also suggested. See README.Debian 
 for details
 


Package: therion-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, therion
Description: Cave surveying - 3D viewer for therion models
 Therion is cave-survey drawing and modelling software. This package contains 
 the 3D model viewer for therion models produced by version 0.4 or later.
 
Package: therion-doc
Section: doc
Architecture: all
Recommends: therion 
Replaces: therion (<< 0.5.0)
Description: Documentation for Therion Cave surveying software
 Therion is cave-survey drawing and modelling software. This package  includes 
 the thbook which is the specification for the therion data description 
 language, HTML/PDF samples showing what can be done, and all the wiki 
 documentation including the excellent guide 'Therion by Example' (in English 
 and Czech) and 'Therion for Cavers' (in English and Spanish), along with 
 numerous FAQ and tips items. The Wiki documentation can be out of date with 
 respect to the software, so bear this in mind.

## therion 5.2.8-1build2

=== extern/proj4/Makefile ===
all:
	$(CC) *.c -c -I.
	ar cr libproj.a *.o

remove:
	rm -f proj.c gen_cheb.c p_series.c jniproj.c \
	cs2cs.c gen_cheb.c p_series.c nad2nad.c nad2bin.c \
	geod.c geod_set.c geod_for.c geod_inv.c geodesic.h

clean:
	perl ../../makefile.pl rm *.o
	perl ../../makefile.pl rm *~
	perl ../../makefile.pl rm *.a

=== debian/changelog ===
therion (5.2.8-1build2) maverick; urgency=low

  * No change rebuild for vtk transition

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Aug 2010 22:16:35 -0400

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,12 @@
 	ln -sf loch.1 $(BUILD_TREE)/man/therion-viewer.1
 	# create therion.ini file:
 	cd $(BUILD_TREE) && $(MAKE) init 
-	cd $(BUILD_TREE) && $(MAKE) doc
+	# If cross-building skip sample-generation as uses just-built therion
+ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+	# create samples HTML documentation
+	cd $(BUILD_TREE) && $(MAKE) samples
+endif
+
 	#we should generate html of thbook here too if possible
 
 	touch build-stamp
@@ -74,7 +79,12 @@
 	dh_install --sourcedir=$(BUILD_TREE)
 	dh_installdocs $(BUILD_TREE)/README
 	dh_installdocs -ptherion-doc  $(BUILD_TREE)/thbook/thbook.pdf  $(BUILD_TREE)/wikidocs
+ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+	dh_installdocs -ptherion-doc $(BUILD_TREE)/samples.doc
+endif
 	dh_installdocs -ptherion-viewer $(BUILD_TREE)/loch/help/en/loch.htm
+	#we need to clear out large generated files from samples before putting just source files in main package
+	cd $(BUILD_TREE)/samples && $(MAKE) clean
 	dh_installexamples --exclude=.tcl --exclude=Makefile $(BUILD_TREE)/samples $(BUILD_TREE)/thconfig $(BUILD_TREE)/therion.ini
 	dh_installmenu
 	dh_installmime
